MKC_CHECK_CUSTOM(1)

NAME
mkc_check_custom - run user's custom checks.

SYNOPSIS
mkc_check_custom [-r] sourcefile
mkc_check_custom cmd [args...]
mkc_check_custom -h

DESCRIPTION
If cmd is executable mkc_check_custom runs cmd args. Otherwise it tries to compile sourcefile and output 1 if compilation succeeded and 0 otherwise. If -r option was applied it runs a compiled program. What type of compiler to use depends on sourcefile extension. '.c' corresponds to ${CC} (C language), '.cc', '.cxx', '.C' and '.cpp' correspond to ${CXX} (C++ language).

OPTIONS

-h  Display help message.

-r  Run executable compiled from sourcefile.

-p text
    Prefix of the generated cache file. The default is "custom".

-n text
    Name part of the generated cache file.
    The default is `basename <sourcefile>`.

-m text
    Message mkc_check_custom outputs.
    The default is "custom test sourcefile_or_cmd".

-s  mkc_check_custom outputs an exit status of cmd args.

-d  Delete cache files.

-e  Print 0 if compiler/cmd print something to stderr.

-b  Print yes/no instead of 1/0.

ENVIRONMENT

CC  C compiler

CXX C++ compiler

CPPFLAGS
    Preprocessor flags for C and C++

CFLAGS
    Compilation flags for C

CXXFLAGS
    Compilation flags for C++

LDFLAGS
    Additional linker flags

LDADD
    Additional objects

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_custom alloca_in_stdlib.c
   mkc_check_custom custom_checks/cxx_foo_test.cc
   mkc_check_custom /full/path/to/yacc_need_liby

AUTHOR
Aleksey Cheusov <vle@gmx.net>